-- compute
#version 460

layout( local_size_x = 64 ) in;

//uniform mat4	  mvp;
//uniform float     width;
//uniform float     height;
//uniform vec3      extent;
//uniform sampler2D hiZBuffer;

struct DrawElementsIndirectCommand
{
    uint    count;
    uint    instanceCount;
    uint    firstIndex;
    uint    baseVertex;
    uint    baseInstance;
};
 
layout(std430, binding = 1) buffer Cmd
{
	DrawElementsIndirectCommand cmds [];
};

void main() 
{
	uint idx = gl_GlobalInvocationID.x;
    
	if ( idx < cmds.length () )
		cmds [idx].instanceCount = 1;
}
